## org.eclipse.datatools.sqltools.sqleditor
Interface EditorConstants

    public interface EditorConstants

This interface defines all public constants for the SQL Editor plug-in.

Author:
  Hui Cao

Field Summary
`static int` `CP_STATUS_CONNECTED`
`static int` `CP_STATUS_DELETED`
`static int` `CP_STATUS_DISCONNECTED`
`static int` `CP_STATUS_OTHER`
`static int` `CP_STATUS_PROP_CHANGED`
`static int` `CP_STATUS_RENAMED`
`static java.lang.String` `DATA_SOURCE_EXPLORER` Data source explorer view id
`static java.lang.String` `EDITOR_ID`
`static java.lang.String` `LOG_VIEW` Error Log view id
`static java.lang.String` `PORTABILITY_MARKER_TYPE` Marker type contant for SQL portability targets.
`static java.lang.String` `RESULTS_VIEW` Results view id
`static java.lang.String` `ROUTINE_EDITOR_ID`
`static int` `SQL_SHORT_DESC_LENGTH` The length of SQL statement short description
`static java.lang.String` `SQLFILE_EDITOR_ID`
`static java.lang.String` `SYNTAX_MARKER_TYPE` Marker type contant for SQL syntax errors.

Field Detail

### CP_STATUS_OTHER

    static final int CP_STATUS_OTHER

See Also:
  Constant Field Values

### CP_STATUS_DELETED

    static final int CP_STATUS_DELETED

See Also:
  Constant Field Values

### CP_STATUS_DISCONNECTED

    static final int CP_STATUS_DISCONNECTED

See Also:
  Constant Field Values

### CP_STATUS_RENAMED

    static final int CP_STATUS_RENAMED

See Also:
  Constant Field Values

### CP_STATUS_PROP_CHANGED

    static final int CP_STATUS_PROP_CHANGED

See Also:
  Constant Field Values

### CP_STATUS_CONNECTED

    static final int CP_STATUS_CONNECTED

See Also:
  Constant Field Values

### PORTABILITY_MARKER_TYPE

    static final java.lang.String PORTABILITY_MARKER_TYPE

  Marker type contant for SQL portability targets.

### SYNTAX_MARKER_TYPE

    static final java.lang.String SYNTAX_MARKER_TYPE

  Marker type contant for SQL syntax errors.

### DATA_SOURCE_EXPLORER

    static final java.lang.String DATA_SOURCE_EXPLORER

  Data source explorer view id

  See Also:
    Constant Field Values

### RESULTS_VIEW

    static final java.lang.String RESULTS_VIEW

  Results view id

  See Also:
    Constant Field Values

### LOG_VIEW

    static final java.lang.String LOG_VIEW

  Error Log view id

  See Also:
    Constant Field Values

### SQL_SHORT_DESC_LENGTH

    static final int SQL_SHORT_DESC_LENGTH

  The length of SQL statement short description

  See Also:
    Constant Field Values

### EDITOR_ID

    static final java.lang.String EDITOR_ID

See Also:
  Constant Field Values

### ROUTINE_EDITOR_ID

    static final java.lang.String ROUTINE_EDITOR_ID

See Also:
  Constant Field Values

### SQLFILE_EDITOR_ID

    static final java.lang.String SQLFILE_EDITOR_ID

See Also:
  Constant Field Values

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.